core/almacen/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views
app_name = 'almacen'

urlpatterns = [
    path('inicio/', views.DashboardView.as_view(), name='inicio'),
    path('productos/', views.ProductoListView.as_view(), name='producto_list'),
    path('productos/<str:pk>', views.ProductoDetailView.as_view(), name='producto_detail'),
    path('productos/create/', views.ProductoCreate.as_view(), name='producto_create'),
    path('productos/<str:pk>/update/', views.ProductoUpdate.as_view(), name='producto_update'),
    path('productos/<str:pk>/delete/', views.ProductoDelete.as_view(), name='producto_delete'),
    path('familia/', views.FamiliaListView.as_view(), name='familia_list'),
    path('familia/<str:pk>', views.FamiliaDetailView.as_view(), name='familia-detail'),
    path('familia/create/', views.FamiliaCreate.as_view(), name='familia_create'),
    path('familia/<str:pk>/update/', views.FamiliaUpdate.as_view(), name='familia_update'),
    path('familia/<str:pk>/delete/', views.FamiliaDelete.as_view(), name='familia_delete'),
    path('tipoventa/', views.TipoVListView.as_view(), name='tipov_list'),
    path('tipoventa/create/', views.TipoVCreate.as_view(), name='tipov_create'),
    path('tipoproducto/', views.TipoListView.as_view(), name='tipo_list'),
    path('tipoproducto/<str:pk>', views.TipoDetailView.as_view(), name='tipo_detail'),
    path('tipoproducto/create/', views.TipoCreate.as_view(), name='tipo_create'),
    path('tipoproducto/<str:pk>/update/', views.TipoUpdate.as_view(), name='tipo_update'),
    path('tipoproducto/<str:pk>/delete/', views.TipoDelete.as_view(), name='tipo_delete'),
    path('clientes/', views.ClienteListView.as_view(), name='cliente_list'),
    path('clientes/<str:pk>', views.ClienteDetailView.as_view(), name='cliente_detail'),
    path('clientes/create/', views.ClienteCreate.as_view(), name='cliente_create'),
    path('clientes/<str:pk>/update/', views.ClienteUpdate.as_view(), name='cliente_update'),
    path('clientes/<str:pk>/delete/', views.ClienteDelete.as_view(), name='cliente_delete'),
    path('credito/', views.CreditoListView.as_view(), name='credito'),
    path('proveedor/', views.ProveedorListView.as_view(), name='proveedor_list'),
    path('proveedor/<str:pk>', views.ProveedorDetailView.as_view(), name='proveedor_detail'),
    path('proveedor/create/', views.ProveedorCreate.as_view(), name='proveedor_create'),
    path('proveedor/<str:pk>/update/', views.ProveedorUpdate.as_view(), name='proveedor_update'),
    path('proveedor/<str:pk>/delete/', views.ProveedorDelete.as_view(), name='proveedor_delete'),
    path('compras/', views.OrdenListView.as_view(), name='compra_list'),
    path('compras/create/', views.OrdenCreate.as_view(), name='compra_create'),
    path('compras/update/<int:pk>/', views.OrdenUpdate.as_view(), name='orden_update'),
    path('compras/delete/<int:pk>/', views.OrdenDelete.as_view(), name='orden_delete'),
    path('recepcion/', views.RecepcionView.as_view(), name='recepcion'),
    # test
    path('test/', views.TestView.as_view(), name='test'),
    path('ventas/', views.VentaListView.as_view(), name='venta_list'),
    path('venta/create/', views.VentaCreate.as_view(), name='venta_create'),
    #path('productos/barcode/pdf/', views.BarCode.as_view(), name='barcode_pdf'),
    path('venta/invoice/pdf/<int:pk>/', views.VentaInvoicePdfView.as_view(), name='venta_invoice_pdf'),
    path('productos/reporte/pdf/', login_required(views.generar_reporte_productos), name='producto_reporte_pdf'),
    path('reporte/venta/', views.ReportVentaView.as_view(),name='venta_reporte'),
    path('reporte/compra/', views.ReportCompraView.as_view(),name='compra_reporte'),
]

yuyitos/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import RedirectView
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.contrib.auth import views
from core.almacen.views import IndexView
urlpatterns = [ 
    path('', IndexView.as_view(), name='index'),
    path('almacen/', include('core.almacen.urls')),
    path('admin/', admin.site.urls),  
    path('', include('core.user.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += [
    path('accounts/', include('django.contrib.auth.urls')),
]

templates/views/tipoventa/tipo_create.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}Tipo de Producto{% endblock %}

{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 offset-md-3 mr-auto ml-auto">               
                        <!-- Default box -->
                        <form action="" method="post" class="" enctype="multipart/form-data">
                            <div class="card card-info mb-4">
                                <div class="card-header">
                                    <h3 class="m-0 font-weight-bold card-title">Formulario de Tipo de Venta</h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        {% csrf_token %}
                                        
                                        <div class="row form-group">
                                            <div class="col col-md-12">
                                                <label for="" id="" class="form-control-label">Id de Tipo de Venta:</label>
                                               {{ form.id_tipo_venta }}
                                           </div>  
                                            <div class="col col-md-12">
                                                 <label for="" id="" class="form-control-label">Tipo de Venta:</label>
                                                {{ form.tipo_venta }}
                                            </div>                  
                                        </div>  
                                       
                                                                                                                      
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <a href="{{ list_url }}"><button type="button" class="btn btn-secondary"><i class="fas fa-times"></i> Cancelar</button></a>
                                    <button type="submit" class="btn btn-success float-right"><i class="fas fa-save"></i> Agregar registro</button>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </form>
                    </div>  
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}
{% block js %}
<script>
    {% if form.errors %}
    var errors = '';
    {% for field in form %}
        {% for error in field.errors %}
            errors += '{{ error }}\n';
        {% endfor %}
    {% endfor %}
    {% for error in form.non_field_errors %}
        errors += '{{ error }}\n';
    {% endfor %}
    Swal.fire({
        icon: 'error',
        title: 'Error!',
        text: errors,
    });
    {% endif %}
</script>
{% endblock js %}

templates/views/tipoventa/tipo_list.html
{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Tipo Venta{% endblock %}
{% block css %}
        <style>
            input[type='submit'], button, [aria-label]{
              cursor: pointer;
            }
        </style>       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Tipo de Venta</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Venta</a></li>
                                    <li class="breadcrumb-item active">Tipo</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-7 offset-md-3 mr-auto ml-auto">               
                                <!-- Default box -->
                                <div class="card card-secondary card-outline mb-4">
                                    <div class="card-header">
                                        {% if perms.almacen.add_tipo %}
                                        <a  href="{% url 'almacen:tipov_create' %}" >
                                            <button type="button" class="btn btn-success">
                                                <i class="fas fa-plus"></i>&nbsp;&nbsp;Agregar Tipo
                                            </button>
                                        </a>
                                        {% endif %} 
                                    </div>
                                    <div class="card-body">
                                        <table id="tabla" class="table table-bordered table-striped">
                                            <thead class="bg-info">
                                            <tr>
                                                <th>Id Tipo de Venta</th>
                                                <th>Tipo de Venta</th>
                                         
                                            </tr>
                                            </thead>
                                            
                                            
                                            {% if tipo %}
                                            <tbody>
                                                {% for m in tipo %} 
                                                <tr>
                                                    <td>{{ m.id_tipo_venta }}</td> 
                                                    <td>{{ m.tipo_venta }}</td>                        
                                                    
                                                </tr>
                                              {% endfor %}
                                            </tbody>
                                            {% endif %}  
                                          </table>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">

                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/list.js' %}"></script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}